#ifndef COMMANDS_H
#define COMMANDS_H

/* sample command.h content for Linux's netfilter/iptables firewall */



/* every MACRO is a list of commands:
 *      separated by ","
 *      one per line
 *      lines terminated by "\"
 */

/* for initializing the firewall */
/* this loads and unloads the needed chains every time sshguard is started */
/*
#define COMMANDS_INIT        {                              \
    "/sbin/iptables -N sshguard",                              \
    "/sbin/iptables -A INPUT -p tcp --dport 22 -j sshguard"    \
}
*/
#define COMMANDS_INIT       { }

/* for finalizing the firewall */
/* This unloads sshguard's chains every time it is stopped */
/*
#define COMMANDS_FIN         {                              \
    "/sbin/iptables -D INPUT -j sshguard",                     \
    "/sbin/iptables -X sshguard"                               \
}
*/
#define COMMANDS_FIN        { }

/* for blocking an IP */
/* a "%s" in here will be replaced with the target IP address */
#define COMMANDS_BLOCK       {                              \
    "/sbin/iptables -A sshguard -s %s -j DROP"                 \
}

/* for releasing a blocked IP */
/* a "%s" in here will be replaced with the target IP address */
#define COMMANDS_RELEASE     {                               \
    "/sbin/iptables -D sshguard -s %s -j DROP" \
}

/* for releasing all blocked IPs at once (blocks flush) */
#define COMMANDS_FLUSH       {                              \
    "/sbin/iptables -F sshguard"                               \
}



/* maximum num of arguments passed to commands. 20 is typically large enough */
#define MAXCMDOPTS      20

#endif

