#ifndef SSHGUARD_H
#define SSHGUARD_H


/* these may be changed with runtime options! */

/* default: minimum seconds after which unblocking a blocked IP. Max is (min*3/2) */
#define DEFAULT_PARDON_THRESHOLD    (7 * 60)
/* default number of hits after which blocking an IP (inclusive) */
#define DEFAULT_ABUSE_THRESHOLD     4
/* default seconds after which forgiving a cracker candidate */
#define DEFAULT_STALE_THRESHOLD     (20 * 60)

/* this is the RE you can use for IP addresses (keep enclosed in () !)
 *
 * "(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9]([0-9])?)(\.(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9]([0-9])?|0)){3}"
 *
 */
/* regex for log entries representing brute force trials */
#define SSHCRACK_REGEX      "sshd\\[[0-9]+\\]: (Failed|Illegal user|Invalid user|User) .+from ((25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9]([0-9])?)(\\.(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9]([0-9])?|0)){3})( not allowed)?"
/* field number in SSHCRACK_REGEX containing the attacker IP address */
#define REGEXIPENTRY        2

#endif
